umbrello: XMLCodeComment Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | List of all members
XMLCodeComment Class Reference

`#include <xmlcodecomment.h>`

Inheritance diagram for XMLCodeComment:

## Public Member Functions
| XMLCodeComment (CodeDocument *doc, const QString &text=QString())
virtual | ~XMLCodeComment ()
QString | toString () const
Public Member Functions inherited from CodeComment
| CodeComment (CodeDocument *doc, const QString &comment=QString())
virtual | ~CodeComment ()
virtual void | saveToXMI1 (QXmlStreamWriter &writer)
virtual void | loadFromXMI1 (QDomElement &root)
Public Member Functions inherited from TextBlock
| TextBlock (CodeDocument *parent, const QString &text=QString())
virtual | ~TextBlock ()
void | setText (const QString &text)
QString | getText () const
void | appendText (const QString &text)
void | setTag (const QString &value)
QString | getTag () const
CodeDocument * | getParentDocument () const
void | setWriteOutText (bool write)
bool | getWriteOutText () const
void | setIndentationLevel (int level)
int | getIndentationLevel () const
QString | getIndentationString (int level=0) const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
virtual QString | toString () const
virtual void | saveToXMI1 (QXmlStreamWriter &writer)=0
virtual void | loadFromXMI1 (QDomElement &root)=0
bool | canDelete () const
virtual void | setAttributesFromObject (TextBlock *obj)
virtual QString | getNewEditorLine (int amount=0)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()

## Additional Inherited Members
Static Public Member Functions inherited from TextBlock
static QString | getIndentation ()
static QString | getNewLineEndingChars ()
static QString | formatMultiLineText (const QString &work, const QString &linePrefix, const QString &breakStr, bool addBreak=true, bool lastLineHasBreak=true)
static QString | encodeText (const QString &text, const QString &endLine)
static QString | decodeText (const QString &text, const QString &endLine)
Protected Member Functions inherited from TextBlock
void | setCanDelete (bool canDelete)
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &root)

## Detailed Description

class XMLCodeDocumentation A XML (code) comment.

## Constructor & Destructor Documentation

## ◆ XMLCodeComment()

XMLCodeComment::XMLCodeComment | ( | CodeDocument * | doc,
|  | const QString & | text = `QString()`
| ) |  |
| explicit

Constructors

## ◆ ~XMLCodeComment()

XMLCodeComment::~XMLCodeComment | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ toString()

QString XMLCodeComment::toString | ( |  | ) | const
| virtual

Returns
  QString

Reimplemented from TextBlock.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/xml/xmlcodecomment.h
- umbrello/codegenerators/xml/xmlcodecomment.cpp